package com.android.td5;

import android.os.Handler;
import android.os.Looper;

public class SieveModel {
	private static final int MAX_THREADS = 4;

	SieveModel(Sieve sieve) {
		this.sieve = sieve;
	}

	private Sieve sieve;
	
	// Shared variable to record the sieve upper bound
	private int number;

	// Array to mark prime numbers
	boolean isPrime[];
	// Shared variable holding the number of prime integers found
	private int primes;

	// Marking delay, initially set to 0 (Fastest)
	private int delay = 0;

	private void printStatus(String s) {
		sieve.printStatus(s);
	}

	private void printResult(String s) {
		sieve.printResult(s);
	}

	private void countAndPrint() {
		primes = 0;

		printResult("There are " + primes + " prime number"
				+ (primes != 1 ? "s" : "") + " until " + number);
		printStatus("Sieve completed");
	}

	// Update the sleep delay for marker thread animations
	public void setDelay(int delay) {
		this.delay = delay;
	}
	
	public void sieve() {
		primes = 0; 
		printResult("");
		
		number = sieve.getNumber();

		// To be completed
	}
}
